Calendar Connections V4
Update calendar connection
Update settings for a specific calendar connection such as selected calendars, availability validation, and notification preferences.
PATCH
/
v4
/
calendar-connections
/
connections
/
{connectionId}
Update calendar connection
curl --request PATCH \
--url https://api.meetergo.com/v4/calendar-connections/connections/{connectionId} \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"primaryCalendar": "primary",
"selectedCalendars": [
"primary",
"work@group.calendar.google.com"
],
"validateAvailability": true,
"cancelIfDeclinedOrDeleted": true,
"disableAttendeeNotification": false,
"syncBuffersToCalendar": false
}
'import requests
url = "https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}"
payload = {
"primaryCalendar": "primary",
"selectedCalendars": ["primary", "work@group.calendar.google.com"],
"validateAvailability": True,
"cancelIfDeclinedOrDeleted": True,
"disableAttendeeNotification": False,
"syncBuffersToCalendar": False
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primaryCalendar: 'primary',
selectedCalendars: ['primary', 'work@group.calendar.google.com'],
validateAvailability: true,
cancelIfDeclinedOrDeleted: true,
disableAttendeeNotification: false,
syncBuffersToCalendar: false
})
};
fetch('https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'primaryCalendar' => 'primary',
'selectedCalendars' => [
'primary',
'work@group.calendar.google.com'
],
'validateAvailability' => true,
'cancelIfDeclinedOrDeleted' => true,
'disableAttendeeNotification' => false,
'syncBuffersToCalendar' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}"
payload := strings.NewReader("{\n \"primaryCalendar\": \"primary\",\n \"selectedCalendars\": [\n \"primary\",\n \"work@group.calendar.google.com\"\n ],\n \"validateAvailability\": true,\n \"cancelIfDeclinedOrDeleted\": true,\n \"disableAttendeeNotification\": false,\n \"syncBuffersToCalendar\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}")
.header("x-meetergo-api-user-id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"primaryCalendar\": \"primary\",\n \"selectedCalendars\": [\n \"primary\",\n \"work@group.calendar.google.com\"\n ],\n \"validateAvailability\": true,\n \"cancelIfDeclinedOrDeleted\": true,\n \"disableAttendeeNotification\": false,\n \"syncBuffersToCalendar\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"primaryCalendar\": \"primary\",\n \"selectedCalendars\": [\n \"primary\",\n \"work@group.calendar.google.com\"\n ],\n \"validateAvailability\": true,\n \"cancelIfDeclinedOrDeleted\": true,\n \"disableAttendeeNotification\": false,\n \"syncBuffersToCalendar\": false\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
Path Parameters
Body
application/json
Response
Connection updated successfully
⌘I
Update calendar connection
curl --request PATCH \
--url https://api.meetergo.com/v4/calendar-connections/connections/{connectionId} \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"primaryCalendar": "primary",
"selectedCalendars": [
"primary",
"work@group.calendar.google.com"
],
"validateAvailability": true,
"cancelIfDeclinedOrDeleted": true,
"disableAttendeeNotification": false,
"syncBuffersToCalendar": false
}
'import requests
url = "https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}"
payload = {
"primaryCalendar": "primary",
"selectedCalendars": ["primary", "work@group.calendar.google.com"],
"validateAvailability": True,
"cancelIfDeclinedOrDeleted": True,
"disableAttendeeNotification": False,
"syncBuffersToCalendar": False
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
primaryCalendar: 'primary',
selectedCalendars: ['primary', 'work@group.calendar.google.com'],
validateAvailability: true,
cancelIfDeclinedOrDeleted: true,
disableAttendeeNotification: false,
syncBuffersToCalendar: false
})
};
fetch('https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'primaryCalendar' => 'primary',
'selectedCalendars' => [
'primary',
'work@group.calendar.google.com'
],
'validateAvailability' => true,
'cancelIfDeclinedOrDeleted' => true,
'disableAttendeeNotification' => false,
'syncBuffersToCalendar' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-meetergo-api-user-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}"
payload := strings.NewReader("{\n \"primaryCalendar\": \"primary\",\n \"selectedCalendars\": [\n \"primary\",\n \"work@group.calendar.google.com\"\n ],\n \"validateAvailability\": true,\n \"cancelIfDeclinedOrDeleted\": true,\n \"disableAttendeeNotification\": false,\n \"syncBuffersToCalendar\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-meetergo-api-user-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}")
.header("x-meetergo-api-user-id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"primaryCalendar\": \"primary\",\n \"selectedCalendars\": [\n \"primary\",\n \"work@group.calendar.google.com\"\n ],\n \"validateAvailability\": true,\n \"cancelIfDeclinedOrDeleted\": true,\n \"disableAttendeeNotification\": false,\n \"syncBuffersToCalendar\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/v4/calendar-connections/connections/{connectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-meetergo-api-user-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"primaryCalendar\": \"primary\",\n \"selectedCalendars\": [\n \"primary\",\n \"work@group.calendar.google.com\"\n ],\n \"validateAvailability\": true,\n \"cancelIfDeclinedOrDeleted\": true,\n \"disableAttendeeNotification\": false,\n \"syncBuffersToCalendar\": false\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}